For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
      • GETPerforms a full-text search across workspace entities.
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceSearch

Performs a full-text search across workspace entities.

GET
https://api.awork.com/api/v1/search
GET
/api/v1/search
$curl https://api.awork.com/api/v1/search \
> -H "Authorization: Bearer <token>"
1{
2 "totalCount": 15,
3 "maxScore": 0.9,
4 "top": [
5 {
6 "type": "task",
7 "score": 28,
8 "entity": {
9 "baseType": "projecttask",
10 "name": "Website Design"
11 }
12 }
13 ],
14 "commentHits": {
15 "totalCount": 7,
16 "maxScore": 1.9,
17 "hits": [
18 {
19 "type": "task",
20 "score": 2.9,
21 "entity": {
22 "id": "123e4567-e89b-12d3-a456-426614174000",
23 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
24 "userStats": [
25 {
26 "userId": "123e4567-e89b-12d3-a456-426614174000",
27 "openCount": 12,
28 "lastOpened": 1646119800
29 }
30 ],
31 "indexTime": "2024-01-15T09:30:00Z",
32 "message": "The new design proposals are ready!",
33 "entityType": "tasks",
34 "entityId": "123e4567-e89b-12d3-a456-426614174000",
35 "project": {
36 "id": "123e4567-e89b-12d3-a456-426614174000",
37 "name": "Website Design",
38 "company": "Productivity Inc.",
39 "isPrivate": false,
40 "isBillableByDefault": true,
41 "projectStatus": {
42 "id": "123e4567-e89b-12d3-a456-426614174000",
43 "name": "In Progress",
44 "type": "progress"
45 },
46 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
47 "teams": [
48 {
49 "id": "123e4567-e89b-12d3-a456-426614174000",
50 "name": "Design Team"
51 }
52 ],
53 "members": [
54 {
55 "id": "123e4567-e89b-12d3-a456-426614174000",
56 "userId": "123e4567-e89b-12d3-a456-426614174000",
57 "firstName": "Carla",
58 "lastName": "Creative",
59 "projectRoleName": "Project Manager",
60 "hasImage": true,
61 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
62 }
63 ],
64 "isExternal": true
65 },
66 "task": {
67 "name": "Create logo concept",
68 "id": "123e4567-e89b-12d3-a456-426614174000",
69 "userId": "123e4567-e89b-12d3-a456-426614174000",
70 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
71 "projectId": "123e4567-e89b-12d3-a456-426614174000",
72 "project": {
73 "id": "123e4567-e89b-12d3-a456-426614174000",
74 "name": "Website Design",
75 "company": "Productivity Inc.",
76 "isPrivate": false,
77 "isBillableByDefault": true,
78 "projectStatus": {
79 "id": "123e4567-e89b-12d3-a456-426614174000",
80 "name": "In Progress",
81 "type": "progress"
82 },
83 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
84 "teams": [
85 {
86 "id": "123e4567-e89b-12d3-a456-426614174000",
87 "name": "Design Team"
88 }
89 ],
90 "members": [
91 {
92 "id": "123e4567-e89b-12d3-a456-426614174000",
93 "userId": "123e4567-e89b-12d3-a456-426614174000",
94 "firstName": "Carla",
95 "lastName": "Creative",
96 "projectRoleName": "Project Manager",
97 "hasImage": true,
98 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
99 }
100 ],
101 "isExternal": true
102 },
103 "parentId": "123e4567-e89b-12d3-a456-426614174000",
104 "parentTask": {
105 "name": "Create logo concept",
106 "id": "123e4567-e89b-12d3-a456-426614174000",
107 "userId": "123e4567-e89b-12d3-a456-426614174000",
108 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
109 "assigneeIds": [
110 "string"
111 ]
112 },
113 "assignees": [
114 {
115 "id": "123e4567-e89b-12d3-a456-426614174000",
116 "firstName": "Carla",
117 "lastName": "Creative"
118 }
119 ],
120 "baseType": "projecttask",
121 "taskStatus": {
122 "name": "Concept",
123 "type": "progress",
124 "icon": "arrow_forward"
125 },
126 "isExternal": true,
127 "isHiddenForConnectUsers": true
128 },
129 "document": {
130 "name": "string",
131 "content": "string",
132 "documentSpaceId": "123e4567-e89b-12d3-a456-426614174000",
133 "documentSpace": {
134 "id": "123e4567-e89b-12d3-a456-426614174000",
135 "isExternal": true,
136 "name": "string",
137 "workspaceAccessLevel": "string",
138 "contributors": [
139 {
140 "userId": "123e4567-e89b-12d3-a456-426614174000",
141 "accessLevel": "string"
142 }
143 ],
144 "teams": [
145 {
146 "teamId": "123e4567-e89b-12d3-a456-426614174000",
147 "accessLevel": "string"
148 }
149 ]
150 },
151 "parentId": "123e4567-e89b-12d3-a456-426614174000",
152 "emoji": "string",
153 "projectId": "123e4567-e89b-12d3-a456-426614174000",
154 "project": {
155 "id": "123e4567-e89b-12d3-a456-426614174000",
156 "name": "Website Design",
157 "company": "Productivity Inc.",
158 "isPrivate": false,
159 "isBillableByDefault": true,
160 "projectStatus": {
161 "id": "123e4567-e89b-12d3-a456-426614174000",
162 "name": "In Progress",
163 "type": "progress"
164 },
165 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
166 "teams": [
167 {
168 "id": "123e4567-e89b-12d3-a456-426614174000",
169 "name": "Design Team"
170 }
171 ],
172 "members": [
173 {
174 "id": "123e4567-e89b-12d3-a456-426614174000",
175 "userId": "123e4567-e89b-12d3-a456-426614174000",
176 "firstName": "Carla",
177 "lastName": "Creative",
178 "projectRoleName": "Project Manager",
179 "hasImage": true,
180 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
181 }
182 ],
183 "isExternal": true
184 },
185 "isPrivate": true,
186 "isExternal": true,
187 "isHiddenForConnectUsers": true,
188 "contributors": [
189 {
190 "userId": "123e4567-e89b-12d3-a456-426614174000",
191 "accessLevel": "string",
192 "documentId": "123e4567-e89b-12d3-a456-426614174000",
193 "inheritedFromDocumentContributorId": "123e4567-e89b-12d3-a456-426614174000",
194 "inheritedDocumentContributor": {
195 "documentId": "123e4567-e89b-12d3-a456-426614174000",
196 "accessLevel": "string"
197 }
198 }
199 ],
200 "teams": [
201 {
202 "teamId": "123e4567-e89b-12d3-a456-426614174000",
203 "accessLevel": "string",
204 "documentId": "123e4567-e89b-12d3-a456-426614174000",
205 "inheritedFromDocumentToTeamId": "123e4567-e89b-12d3-a456-426614174000",
206 "inheritedDocumentToTeam": {
207 "documentId": "123e4567-e89b-12d3-a456-426614174000",
208 "accessLevel": "string"
209 }
210 }
211 ],
212 "workspaceAccessLevel": "string",
213 "inheritedWorkspaceAccessFromDocumentId": "123e4567-e89b-12d3-a456-426614174000",
214 "inheritedWorkspaceAccessFromDocument": {
215 "workspaceAccessLevel": "string"
216 },
217 "rootDocumentCreatedBy": "123e4567-e89b-12d3-a456-426614174000"
218 },
219 "isExternal": true,
220 "userId": "123e4567-e89b-12d3-a456-426614174000",
221 "isHiddenForConnectUsers": true,
222 "isResolved": true
223 },
224 "highlights": {
225 "description": [
226 "in this creative project"
227 ]
228 }
229 }
230 ],
231 "hasHits": true
232 },
233 "companyHits": {
234 "totalCount": 7,
235 "maxScore": 1.9,
236 "hits": [
237 {
238 "type": "task",
239 "score": 2.9,
240 "entity": {
241 "id": "123e4567-e89b-12d3-a456-426614174000",
242 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
243 "userStats": [
244 {
245 "userId": "123e4567-e89b-12d3-a456-426614174000",
246 "openCount": 12,
247 "lastOpened": 1646119800
248 }
249 ],
250 "indexTime": "2024-01-15T09:30:00Z",
251 "name": "NCNSTN Brand Design",
252 "industry": "Brand Agency",
253 "tags": [
254 "Brand Agency"
255 ],
256 "companyContactInfos": [
257 {
258 "id": "123e4567-e89b-12d3-a456-426614174000",
259 "value": null,
260 "type": "address",
261 "subType": "central",
262 "isAddress": true,
263 "addressLine1": "Torstrasse 140",
264 "addressLine2": "Hof A",
265 "zipCode": "10119",
266 "city": "Berlin",
267 "state": null,
268 "country": "DE"
269 }
270 ],
271 "hasImage": true
272 },
273 "highlights": {
274 "description": [
275 "in this creative project"
276 ]
277 }
278 }
279 ],
280 "hasHits": true
281 },
282 "dashboardNotesHits": {
283 "totalCount": 7,
284 "maxScore": 1.9,
285 "hits": [
286 {
287 "type": "task",
288 "score": 2.9,
289 "entity": {
290 "id": "123e4567-e89b-12d3-a456-426614174000",
291 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
292 "userStats": [
293 {
294 "userId": "123e4567-e89b-12d3-a456-426614174000",
295 "openCount": 12,
296 "lastOpened": 1646119800
297 }
298 ],
299 "indexTime": "2024-01-15T09:30:00Z",
300 "name": "Reminders for today",
301 "note": "Ask the client about the new logo.",
302 "userId": "123e4567-e89b-12d3-a456-426614174000"
303 },
304 "highlights": {
305 "description": [
306 "in this creative project"
307 ]
308 }
309 }
310 ],
311 "hasHits": true
312 },
313 "projectHits": {
314 "totalCount": 7,
315 "maxScore": 1.9,
316 "hits": [
317 {
318 "type": "task",
319 "score": 2.9,
320 "entity": {
321 "id": "123e4567-e89b-12d3-a456-426614174000",
322 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
323 "userStats": [
324 {
325 "userId": "123e4567-e89b-12d3-a456-426614174000",
326 "openCount": 12,
327 "lastOpened": 1646119800
328 }
329 ],
330 "indexTime": "2024-01-15T09:30:00Z",
331 "name": "Website Design",
332 "projectKey": "string",
333 "description": "Design a new website that reflects the new brand identity.",
334 "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
335 "projectStatusId": "123e4567-e89b-12d3-a456-426614174000",
336 "isPrivate": false,
337 "isOpen": true,
338 "isBillableByDefault": true,
339 "tags": [
340 "Design"
341 ],
342 "plannedDuration": 432000,
343 "dueDate": "2022-05-01T00:00:00Z",
344 "startDate": "2022-03-01T00:00:00Z",
345 "company": {
346 "id": "123e4567-e89b-12d3-a456-426614174000",
347 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
348 "userStats": [
349 {
350 "userId": "123e4567-e89b-12d3-a456-426614174000",
351 "openCount": 12,
352 "lastOpened": 1646119800
353 }
354 ],
355 "indexTime": "2024-01-15T09:30:00Z",
356 "name": "NCNSTN Brand Design",
357 "industry": "Brand Agency",
358 "tags": [
359 "Brand Agency"
360 ],
361 "companyContactInfos": [
362 {
363 "id": "123e4567-e89b-12d3-a456-426614174000",
364 "value": null,
365 "type": "address",
366 "subType": "central",
367 "isAddress": true,
368 "addressLine1": "Torstrasse 140",
369 "addressLine2": "Hof A",
370 "zipCode": "10119",
371 "city": "Berlin",
372 "state": null,
373 "country": "DE"
374 }
375 ],
376 "hasImage": true
377 },
378 "projectType": {
379 "id": "123e4567-e89b-12d3-a456-426614174000",
380 "name": "Brand Strategy",
381 "icon": "award"
382 },
383 "projectStatus": {
384 "id": "123e4567-e89b-12d3-a456-426614174000",
385 "name": "In Progress",
386 "type": "progress"
387 },
388 "members": [
389 {
390 "id": "123e4567-e89b-12d3-a456-426614174000",
391 "userId": "123e4567-e89b-12d3-a456-426614174000",
392 "firstName": "Carla",
393 "lastName": "Creative",
394 "projectRoleName": "Project Manager",
395 "hasImage": true,
396 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
397 }
398 ],
399 "hasImage": true,
400 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
401 "teams": [
402 {
403 "id": "123e4567-e89b-12d3-a456-426614174000",
404 "name": "Design Team"
405 }
406 ],
407 "isExternal": true
408 },
409 "highlights": {
410 "description": [
411 "in this creative project"
412 ]
413 }
414 }
415 ],
416 "hasHits": true
417 },
418 "taskHits": {
419 "totalCount": 7,
420 "maxScore": 1.9,
421 "hits": [
422 {
423 "type": "task",
424 "score": 2.9,
425 "entity": {
426 "id": "123e4567-e89b-12d3-a456-426614174000",
427 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
428 "userStats": [
429 {
430 "userId": "123e4567-e89b-12d3-a456-426614174000",
431 "openCount": 12,
432 "lastOpened": 1646119800
433 }
434 ],
435 "indexTime": "2024-01-15T09:30:00Z",
436 "name": "Create logo concept",
437 "taskIdentifier": "string",
438 "description": "Logo design for the new website.",
439 "baseType": "projecttask",
440 "assignees": [
441 {
442 "id": "123e4567-e89b-12d3-a456-426614174000",
443 "firstName": "Carla",
444 "lastName": "Creative"
445 }
446 ],
447 "tags": [
448 "Design"
449 ],
450 "lists": [
451 "Preparation and Concepts"
452 ],
453 "isPrio": true,
454 "isOpen": true,
455 "plannedDuration": 21600,
456 "startOn": "2021-03-03T17:00:00Z",
457 "dueOn": "2021-03-18T17:00:00Z",
458 "taskStatus": {
459 "name": "Concept",
460 "type": "progress",
461 "icon": "arrow_forward"
462 },
463 "typeOfWork": {
464 "name": "Concept"
465 },
466 "projectId": "123e4567-e89b-12d3-a456-426614174000",
467 "project": {
468 "id": "123e4567-e89b-12d3-a456-426614174000",
469 "name": "Website Design",
470 "company": "Productivity Inc.",
471 "isPrivate": false,
472 "isBillableByDefault": true,
473 "projectStatus": {
474 "id": "123e4567-e89b-12d3-a456-426614174000",
475 "name": "In Progress",
476 "type": "progress"
477 },
478 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
479 "teams": [
480 {
481 "id": "123e4567-e89b-12d3-a456-426614174000",
482 "name": "Design Team"
483 }
484 ],
485 "members": [
486 {
487 "id": "123e4567-e89b-12d3-a456-426614174000",
488 "userId": "123e4567-e89b-12d3-a456-426614174000",
489 "firstName": "Carla",
490 "lastName": "Creative",
491 "projectRoleName": "Project Manager",
492 "hasImage": true,
493 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
494 }
495 ],
496 "isExternal": true
497 },
498 "parentId": "123e4567-e89b-12d3-a456-426614174000",
499 "parentTask": {
500 "name": "Create logo concept",
501 "id": "123e4567-e89b-12d3-a456-426614174000",
502 "userId": "123e4567-e89b-12d3-a456-426614174000",
503 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
504 "assigneeIds": [
505 "string"
506 ]
507 },
508 "correlationId": "123e4567-e89b-12d3-a456-426614174000",
509 "subtaskOrder": null,
510 "userId": "123e4567-e89b-12d3-a456-426614174000",
511 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
512 "isExternal": true,
513 "isHiddenForConnectUsers": true
514 },
515 "highlights": {
516 "description": [
517 "in this creative project"
518 ]
519 }
520 }
521 ],
522 "hasHits": true
523 },
524 "timeEntriesHits": {
525 "totalCount": 7,
526 "maxScore": 1.9,
527 "hits": [
528 {
529 "type": "task",
530 "score": 2.9,
531 "entity": {
532 "id": "123e4567-e89b-12d3-a456-426614174000",
533 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
534 "userStats": [
535 {
536 "userId": "123e4567-e89b-12d3-a456-426614174000",
537 "openCount": 12,
538 "lastOpened": 1646119800
539 }
540 ],
541 "indexTime": "2024-01-15T09:30:00Z",
542 "note": "I created a first draft for the new sitemap",
543 "taskId": "123e4567-e89b-12d3-a456-426614174000",
544 "projectId": "123e4567-e89b-12d3-a456-426614174000",
545 "project": {
546 "id": "123e4567-e89b-12d3-a456-426614174000",
547 "name": "Website Design",
548 "company": "Productivity Inc.",
549 "isPrivate": false,
550 "isBillableByDefault": true,
551 "projectStatus": {
552 "id": "123e4567-e89b-12d3-a456-426614174000",
553 "name": "In Progress",
554 "type": "progress"
555 },
556 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
557 "teams": [
558 {
559 "id": "123e4567-e89b-12d3-a456-426614174000",
560 "name": "Design Team"
561 }
562 ],
563 "members": [
564 {
565 "id": "123e4567-e89b-12d3-a456-426614174000",
566 "userId": "123e4567-e89b-12d3-a456-426614174000",
567 "firstName": "Carla",
568 "lastName": "Creative",
569 "projectRoleName": "Project Manager",
570 "hasImage": true,
571 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
572 }
573 ],
574 "isExternal": true
575 },
576 "userId": "123e4567-e89b-12d3-a456-426614174000",
577 "startDateUtc": "2022-03-01T00:00:00Z",
578 "startTimeUtc": "09:21:00",
579 "timezone": "Europe/Berlin",
580 "duration": 8635,
581 "breakDuration": 1,
582 "isExternal": true,
583 "isBilled": true
584 },
585 "highlights": {
586 "description": [
587 "in this creative project"
588 ]
589 }
590 }
591 ],
592 "hasHits": true
593 },
594 "timeReportsHits": {
595 "totalCount": 7,
596 "maxScore": 1.9,
597 "hits": [
598 {
599 "type": "task",
600 "score": 2.9,
601 "entity": {
602 "id": "123e4567-e89b-12d3-a456-426614174000",
603 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
604 "userStats": [
605 {
606 "userId": "123e4567-e89b-12d3-a456-426614174000",
607 "openCount": 12,
608 "lastOpened": 1646119800
609 }
610 ],
611 "indexTime": "2024-01-15T09:30:00Z",
612 "name": "Weekly reporting",
613 "shared": true,
614 "userId": "123e4567-e89b-12d3-a456-426614174000"
615 },
616 "highlights": {
617 "description": [
618 "in this creative project"
619 ]
620 }
621 }
622 ],
623 "hasHits": true
624 },
625 "userHits": {
626 "totalCount": 7,
627 "maxScore": 1.9,
628 "hits": [
629 {
630 "type": "task",
631 "score": 2.9,
632 "entity": {
633 "id": "123e4567-e89b-12d3-a456-426614174000",
634 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
635 "userStats": [
636 {
637 "userId": "123e4567-e89b-12d3-a456-426614174000",
638 "openCount": 12,
639 "lastOpened": 1646119800
640 }
641 ],
642 "indexTime": "2024-01-15T09:30:00Z",
643 "firstName": "Carla",
644 "lastName": "Creative",
645 "title": "Ms",
646 "position": "Creative Director",
647 "language": "de-DE",
648 "gender": "Creative",
649 "tags": [
650 "Design"
651 ],
652 "teams": [
653 {
654 "id": "123e4567-e89b-12d3-a456-426614174000",
655 "name": "Designers",
656 "icon": "paintbrush",
657 "color": "purple"
658 }
659 ],
660 "userContactInfos": [
661 {
662 "id": "123e4567-e89b-12d3-a456-426614174000",
663 "value": null,
664 "type": "address",
665 "subType": "central",
666 "isAddress": true,
667 "addressLine1": "Torstrasse 140",
668 "addressLine2": "Hof A",
669 "zipCode": "10119",
670 "city": "Berlin",
671 "state": null,
672 "country": "DE"
673 }
674 ],
675 "hasImage": true,
676 "isDeactivated": true
677 },
678 "highlights": {
679 "description": [
680 "in this creative project"
681 ]
682 }
683 }
684 ],
685 "hasHits": true
686 },
687 "taskListHits": {
688 "totalCount": 7,
689 "maxScore": 1.9,
690 "hits": [
691 {
692 "type": "task",
693 "score": 2.9,
694 "entity": {
695 "id": "123e4567-e89b-12d3-a456-426614174000",
696 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
697 "userStats": [
698 {
699 "userId": "123e4567-e89b-12d3-a456-426614174000",
700 "openCount": 12,
701 "lastOpened": 1646119800
702 }
703 ],
704 "indexTime": "2024-01-15T09:30:00Z",
705 "name": "Create logo concept",
706 "project": {
707 "id": "123e4567-e89b-12d3-a456-426614174000",
708 "name": "Website Design",
709 "company": "Productivity Inc.",
710 "isPrivate": false,
711 "isBillableByDefault": true,
712 "projectStatus": {
713 "id": "123e4567-e89b-12d3-a456-426614174000",
714 "name": "In Progress",
715 "type": "progress"
716 },
717 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
718 "teams": [
719 {
720 "id": "123e4567-e89b-12d3-a456-426614174000",
721 "name": "Design Team"
722 }
723 ],
724 "members": [
725 {
726 "id": "123e4567-e89b-12d3-a456-426614174000",
727 "userId": "123e4567-e89b-12d3-a456-426614174000",
728 "firstName": "Carla",
729 "lastName": "Creative",
730 "projectRoleName": "Project Manager",
731 "hasImage": true,
732 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
733 }
734 ],
735 "isExternal": true
736 },
737 "isExternal": true
738 },
739 "highlights": {
740 "description": [
741 "in this creative project"
742 ]
743 }
744 }
745 ],
746 "hasHits": true
747 },
748 "fileHits": {
749 "totalCount": 7,
750 "maxScore": 1.9,
751 "hits": [
752 {
753 "type": "task",
754 "score": 2.9,
755 "entity": {
756 "id": "123e4567-e89b-12d3-a456-426614174000",
757 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
758 "userStats": [
759 {
760 "userId": "123e4567-e89b-12d3-a456-426614174000",
761 "openCount": 12,
762 "lastOpened": 1646119800
763 }
764 ],
765 "indexTime": "2024-01-15T09:30:00Z",
766 "name": "Logo for concept.",
767 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
768 "entityType": "string",
769 "entityId": "123e4567-e89b-12d3-a456-426614174000",
770 "project": {
771 "id": "123e4567-e89b-12d3-a456-426614174000",
772 "name": "Website Design",
773 "company": "Productivity Inc.",
774 "isPrivate": false,
775 "isBillableByDefault": true,
776 "projectStatus": {
777 "id": "123e4567-e89b-12d3-a456-426614174000",
778 "name": "In Progress",
779 "type": "progress"
780 },
781 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
782 "teams": [
783 {
784 "id": "123e4567-e89b-12d3-a456-426614174000",
785 "name": "Design Team"
786 }
787 ],
788 "members": [
789 {
790 "id": "123e4567-e89b-12d3-a456-426614174000",
791 "userId": "123e4567-e89b-12d3-a456-426614174000",
792 "firstName": "Carla",
793 "lastName": "Creative",
794 "projectRoleName": "Project Manager",
795 "hasImage": true,
796 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
797 }
798 ],
799 "isExternal": true
800 },
801 "task": {
802 "name": "Create logo concept",
803 "id": "123e4567-e89b-12d3-a456-426614174000",
804 "userId": "123e4567-e89b-12d3-a456-426614174000",
805 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
806 "projectId": "123e4567-e89b-12d3-a456-426614174000",
807 "project": {
808 "id": "123e4567-e89b-12d3-a456-426614174000",
809 "name": "Website Design",
810 "company": "Productivity Inc.",
811 "isPrivate": false,
812 "isBillableByDefault": true,
813 "projectStatus": {
814 "id": "123e4567-e89b-12d3-a456-426614174000",
815 "name": "In Progress",
816 "type": "progress"
817 },
818 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
819 "teams": [
820 {
821 "id": "123e4567-e89b-12d3-a456-426614174000",
822 "name": "Design Team"
823 }
824 ],
825 "members": [
826 {
827 "id": "123e4567-e89b-12d3-a456-426614174000",
828 "userId": "123e4567-e89b-12d3-a456-426614174000",
829 "firstName": "Carla",
830 "lastName": "Creative",
831 "projectRoleName": "Project Manager",
832 "hasImage": true,
833 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
834 }
835 ],
836 "isExternal": true
837 },
838 "parentId": "123e4567-e89b-12d3-a456-426614174000",
839 "parentTask": {
840 "name": "Create logo concept",
841 "id": "123e4567-e89b-12d3-a456-426614174000",
842 "userId": "123e4567-e89b-12d3-a456-426614174000",
843 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
844 "assigneeIds": [
845 "string"
846 ]
847 },
848 "assignees": [
849 {
850 "id": "123e4567-e89b-12d3-a456-426614174000",
851 "firstName": "Carla",
852 "lastName": "Creative"
853 }
854 ],
855 "baseType": "projecttask",
856 "taskStatus": {
857 "name": "Concept",
858 "type": "progress",
859 "icon": "arrow_forward"
860 },
861 "isExternal": true,
862 "isHiddenForConnectUsers": true
863 },
864 "isExternal": true,
865 "isHiddenForConnectUsers": true
866 },
867 "highlights": {
868 "description": [
869 "in this creative project"
870 ]
871 }
872 }
873 ],
874 "hasHits": true
875 },
876 "documentHits": {
877 "totalCount": 7,
878 "maxScore": 1.9,
879 "hits": [
880 {
881 "type": "task",
882 "score": 2.9,
883 "entity": {
884 "id": "123e4567-e89b-12d3-a456-426614174000",
885 "workspaceId": "123e4567-e89b-12d3-a456-426614174000",
886 "userStats": [
887 {
888 "userId": "123e4567-e89b-12d3-a456-426614174000",
889 "openCount": 12,
890 "lastOpened": 1646119800
891 }
892 ],
893 "indexTime": "2024-01-15T09:30:00Z",
894 "name": "string",
895 "content": "string",
896 "documentSpaceId": "123e4567-e89b-12d3-a456-426614174000",
897 "documentSpace": {
898 "id": "123e4567-e89b-12d3-a456-426614174000",
899 "isExternal": true,
900 "name": "string",
901 "workspaceAccessLevel": "string",
902 "contributors": [
903 {
904 "userId": "123e4567-e89b-12d3-a456-426614174000",
905 "accessLevel": "string"
906 }
907 ],
908 "teams": [
909 {
910 "teamId": "123e4567-e89b-12d3-a456-426614174000",
911 "accessLevel": "string"
912 }
913 ]
914 },
915 "parentId": "123e4567-e89b-12d3-a456-426614174000",
916 "emoji": "string",
917 "projectId": "123e4567-e89b-12d3-a456-426614174000",
918 "project": {
919 "id": "123e4567-e89b-12d3-a456-426614174000",
920 "name": "Website Design",
921 "company": "Productivity Inc.",
922 "isPrivate": false,
923 "isBillableByDefault": true,
924 "projectStatus": {
925 "id": "123e4567-e89b-12d3-a456-426614174000",
926 "name": "In Progress",
927 "type": "progress"
928 },
929 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
930 "teams": [
931 {
932 "id": "123e4567-e89b-12d3-a456-426614174000",
933 "name": "Design Team"
934 }
935 ],
936 "members": [
937 {
938 "id": "123e4567-e89b-12d3-a456-426614174000",
939 "userId": "123e4567-e89b-12d3-a456-426614174000",
940 "firstName": "Carla",
941 "lastName": "Creative",
942 "projectRoleName": "Project Manager",
943 "hasImage": true,
944 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000"
945 }
946 ],
947 "isExternal": true
948 },
949 "isPrivate": true,
950 "isExternal": true,
951 "isHiddenForConnectUsers": true,
952 "contributors": [
953 {
954 "userId": "123e4567-e89b-12d3-a456-426614174000",
955 "accessLevel": "string",
956 "documentId": "123e4567-e89b-12d3-a456-426614174000",
957 "inheritedFromDocumentContributorId": "123e4567-e89b-12d3-a456-426614174000",
958 "inheritedDocumentContributor": {
959 "documentId": "123e4567-e89b-12d3-a456-426614174000",
960 "accessLevel": "string"
961 }
962 }
963 ],
964 "teams": [
965 {
966 "teamId": "123e4567-e89b-12d3-a456-426614174000",
967 "accessLevel": "string",
968 "documentId": "123e4567-e89b-12d3-a456-426614174000",
969 "inheritedFromDocumentToTeamId": "123e4567-e89b-12d3-a456-426614174000",
970 "inheritedDocumentToTeam": {
971 "documentId": "123e4567-e89b-12d3-a456-426614174000",
972 "accessLevel": "string"
973 }
974 }
975 ],
976 "workspaceAccessLevel": "string",
977 "inheritedWorkspaceAccessFromDocumentId": "123e4567-e89b-12d3-a456-426614174000",
978 "inheritedWorkspaceAccessFromDocument": {
979 "workspaceAccessLevel": "string"
980 },
981 "rootDocumentCreatedBy": "123e4567-e89b-12d3-a456-426614174000"
982 },
983 "highlights": {
984 "description": [
985 "in this creative project"
986 ]
987 }
988 }
989 ],
990 "hasHits": true
991 }
992}
This endpoint enables powerful full-text search capabilities across multiple types. It returns a ranked list of matching entities based on relevance and respects user permissions. The search functionality includes: - Cross-entity search across various entity types in the workspace. - Relevance-based scoring and ranking of results. - Respecting user access permissions for all returned results. - Customizable result filtering by entity type and status. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Companies

Next
Built with

This endpoint enables powerful full-text search capabilities across multiple types. It returns a ranked list of matching entities based on relevance and respects user permissions.

The search functionality includes:

  • Cross-entity search across various entity types in the workspace.
  • Relevance-based scoring and ranking of results.
  • Respecting user access permissions for all returned results.
  • Customizable result filtering by entity type and status.
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

searchTermstringOptional
The term to search for. Max. 50 characters. Required.
searchTypesstringOptional

Comma-separated list of types to search for, or ‘all’. Supported types: task, project, user, company, comment, timeentry, timereport, file, document, tasklist, dashboardnote.

topintegerOptional

Count of top results. Default: 20.

includeClosedAndStuckbooleanOptional
If true, the result will include entities where the status is closed, stuck and done.

Response

OK
totalCountlongRead-only
The overall number of hits.
maxScoredoubleRead-only
The highest overall search score.
toplist of any or null
The best search matches accross all types ordered descending by their score.
commentHitsobject
companyHitsobject
dashboardNotesHitsobject
projectHitsobject
taskHitsobject
timeEntriesHitsobject
timeReportsHitsobject
userHitsobject
taskListHitsobject
fileHitsobject
documentHitsobject

Errors

400
Bad Request Error
401
Unauthorized Error